$Ontext
Nom              modeleMulti_v0
Sequence         3 - Le risque et le temps dans les modles, Cours 3.2 La prise en compte du temps dans les modles, Leons 29 Les modles multipriodiques
Type             LP
Langage GAMS     ord et card
Description




$Offtext

* * * * * * * * * * * * * * * *  INDICES  * * * * * * * * * * * * * * * * * *
SETS   T  periodes de simulation    /T1*T15/

       C  cultures
          /BET  betterave a sucre
           BLE  ble dur
           COT  coton
           MAI  mais
         /

       R  methode d irrigation
          /R0   sans irrigation
           R1   irrigation gravitaire
           R2   irrigation localisee/

       J  duree d amortissement de l equipement d irrigation  /J1*J5/

;

* * * * * * * * * * * * * * * *  DONNEES  * * * * * * * * * * * * * * * * * *
SCALARS SUP   taille de l exploitation (ha)                       /40.0/
        DE    disponibilite en eau (milliers m3 par hectare)     /10/
        PEQ   prix d achat de l equipement d irrigaton           /3000/
        TA    taux d actualisation                               /0.040/
;

PARAMETERS PC(C)   prix des cultures ( par tonne)
           /BET       80, BLE      260, COT     1650, MAI      250/
;

TABLE RDT(C,R) rendement par culture (ton par ha)
           R0     R1      R2
BET       30.0   66.0
BLE        4.0    5.6
COT        0.9    3.8     4.3
MAI              12.0
;

TABLE ChO(C,R)  charges proportionnelles par culture en 
          R0      R1       R2
BET     1726    3100
BLE      600     754
COT     1268    3438     3522
MAI             1847
;

TABLE BE(C,R) besoins en eau des cultures (m3 par ha)
           R0      R1     R2
BET        0.0    3.5
BLE        0.0    1.5
COT        0.0    6.5     6.0
MAI               6.5
;

* * * * * * * * * * * * * * * *  CALCULS  * * * * * * * * * * * * * * * * * *
PARAMETERS REC(C,R)    recettes par culture
           MB(C,R)     marge brute
;
REC(C,R) = RDT(C,R)*PC(C);
MB(C,R) = REC(C,R) - ChO(C,R);

* * * * * * * * * * * * CONDITIONS INITIALES  * * * * * * * * * * * * * * * *
Parameter

NEQ0(T)   equipement d irrigation initiale (ha)
/T1  0.0/
;


